stm-2.4.2: Software Transactional Memory

Portability | non-portable (requires STM)
Stability | experimental
Maintainer | libraries@haskell.org
Safe Haskell | Trustworthy

Control.Concurrent.STM.TArray

Description

TArrays: transactional arrays, for use in the STM monad

Synopsis

- data TArray i e

# Documentation

data TArray i e Source

TArray is a transactional array, supporting the usual `MArray` interface for mutable arrays.

It is currently implemented as `Array ix (TVar e)`, but it may be replaced by a more efficient implementation in the future (the interface will remain the same, however).

Instances

Typeable2 TArray |
MArray TArray e STM |
Ix i => Eq (TArray i e) |